> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rounds As Categories

> Get rounds

> ⚠️ **Этот эндпоинт deprecated и будет удален в будущем.**


## OpenAPI

````yaml get /rounds/as-categories
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/as-categories:
    get:
      tags:
        - rounds
      summary: Get Rounds As Categories
      description: Get rounds
      operationId: get_rounds_as_categories_rounds_as_categories_get
      parameters:
        - name: category_limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 10
              - type: 'null'
            description: Limit for number of categories
            default: 4
            title: Category Limit
          description: Limit for number of categories
        - name: category_offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Offset for categories
            default: 0
            title: Category Offset
          description: Offset for categories
        - name: round_limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 10
              - type: 'null'
            description: Limit for number of round per category
            default: 4
            title: Round Limit
          description: Limit for number of round per category
        - name: round_offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Offset for round per category
            default: 0
            title: Round Offset
          description: Offset for round per category
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoundsWithCategoriesResponse'
                title: Response Get Rounds As Categories Rounds As Categories Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundsWithCategoriesResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        rounds:
          items:
            $ref: '#/components/schemas/RoundAsCategoriesGetResponse'
          type: array
          title: Rounds
      type: object
      required:
        - id
        - name
        - rounds
      title: RoundsWithCategoriesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoundAsCategoriesGetResponse:
      properties:
        id:
          type: string
          title: Id
        uniq_id:
          type: string
          title: Uniq Id
        status:
          type: string
          title: Status
        entry_fee:
          type: string
          title: Entry Fee
        is_active:
          type: boolean
          title: Is Active
        owner:
          $ref: '#/components/schemas/UserMeUpcomingRoundResponse'
        members_count:
          type: integer
          title: Members Count
        max_members_count:
          type: integer
          title: Max Members Count
        variant:
          type: string
          title: Variant
        item:
          $ref: '#/components/schemas/UnifiedItemUpcomingRoundResponse'
        participant_statuses:
          anyOf:
            - items:
                $ref: '#/components/schemas/RoundParticipantResponse'
              type: array
            - type: 'null'
          title: Participant Statuses
        in_favorites:
          anyOf:
            - type: boolean
            - type: 'null'
          title: In Favorites
          default: false
        format_entry_fee:
          type: string
          title: Format Entry Fee
          readOnly: true
      type: object
      required:
        - id
        - uniq_id
        - status
        - entry_fee
        - is_active
        - owner
        - members_count
        - max_members_count
        - variant
        - item
        - format_entry_fee
      title: RoundAsCategoriesGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserMeUpcomingRoundResponse:
      properties:
        id:
          type: string
          title: Id
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - first_name
        - last_name
        - avatar_url
      title: UserMeUpcomingRoundResponse
    UnifiedItemUpcomingRoundResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        platform_price:
          type: number
          title: Platform Price
        price:
          type: integer
          title: Price
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        assets:
          anyOf:
            - items:
                $ref: '#/components/schemas/UnifiedItemRoundAssetResponse'
              type: array
            - type: 'null'
          title: Assets
          default: []
        participants_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Limit
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        location:
          anyOf:
            - $ref: '#/components/schemas/UnifiedEventLocationResponse'
            - type: 'null'
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - platform_price
        - price
        - store
        - format_price
      title: UnifiedItemUpcomingRoundResponse
    RoundParticipantResponse:
      properties:
        status:
          type: string
          title: Status
        user:
          $ref: '#/components/schemas/UserParticipantRoundResponse'
      type: object
      required:
        - status
        - user
      title: RoundParticipantResponse
    UnifiedItemRoundAssetResponse:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        type:
          type: string
          title: Type
        sort_order:
          type: integer
          title: Sort Order
        is_primary:
          type: boolean
          title: Is Primary
      type: object
      required:
        - name
        - path
        - type
        - sort_order
        - is_primary
      title: UnifiedItemRoundAssetResponse
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    UnifiedEventLocationResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: UnifiedEventLocationResponse
    UserParticipantRoundResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        username:
          type: string
          title: Username
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - phone
        - username
        - first_name
        - last_name
        - avatar_url
      title: UserParticipantRoundResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````